select
    an.numero as numero
    , an.nome as nome
    , lac.dtfim as data_ult_secagem
    , par.data as data_ult_parto
    , tp.descricao as tipo_parto
    , cob.data as inseminacao_parto
    , (select count(*) from reproducao re where re.cdanimal = an.cdanimal and re.cdtiporeproducao = 7 and re.data <= par.data) as ordem_parto
from
    animal an
    left join lactacao lac on lac.cdlactacao =
        (select first 1 re.cdlactacao from lactacao re where re.cdanimal = an.cdanimal order by re.dtfim desc)
    left join reproducao par on par.cdreproducao =
        (select first 1 re.cdreproducao from reproducao re where re.cdtiporeproducao = 7 and re.cdanimal = an.cdanimal order by re.data desc)
    left join reproducao cob on cob.cdreproducao =
        (select first 1 re.cdreproducao from reproducao re where re.cdanimal = par.cdanimal and
        re.data < par.data and re.cdtiporeproducao in (1,2,3) order by re.data desc)
    join tipoparto tp on tp.cdtipoparto = par.cdtipoparto
where
    an.tipoanimal = 'A'
    and an.animalrebanho = 1
    and an.dtbaixa is null
    and par.retencaoplacenta = '1'
    and par.data between 
---INFORMAR O INCIO DO PERODO NO FORMATO AAAA-MM-DD
'2014-01-01'
and 
---INFORMAR O FINAL DO PERODO NO FORMATO AAAA-MM-DD
'2014-12-31'
order by
    an.numordenado